MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026028Open CASCADE[OCCT] OCCT:Visualizationpublic2015-04-07 16:172016-07-30 17:08
Reporterdbv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0026028: Option for drawing MeshVS_Mesh as closed object
DescriptionCurrently MeshVS_Mesh has no ability to draw it as closed object. It will be useful to add such option; this would allow enabling such features as backface culling and capping.
Steps To Reproducetest bugs vis bug26028
TagsNo tags attached.
Test case numberbugs vis(004) bug26028
Attached Files

- Relationships
related to 0027583closedbugmaster Visualization, MeshVS - handle MeshVS_DA_SupressBackFaces flag within MeshVS_NodalColorPrsBuilder 

-  Notes
(0039315)
git (administrator)
2015-04-07 16:20

Branch CR26028 has been created by dbv.

SHA-1: 83445177c57bd42799920681bc0e2cbd13f73cd3


Detailed log of new commits:

Author: dbv
Date: Tue Apr 7 16:18:42 2015 +0300

    Added flag for drawing MeshVS_Mesh as closed object
(0039316)
git (administrator)
2015-04-07 16:23

Branch CR26028 has been updated forcibly by dbv.

SHA-1: af7a6d65626c55d714aa37189ab3f51b54285020
(0039318)
dbv (developer)
2015-04-07 16:24

Dear Kirill,

please review patch in occt branch CR26028
(0039916)
git (administrator)
2015-04-16 19:00

Branch CR26028 has been updated forcibly by dbv.

SHA-1: eb8bda2755c5d54b798c97bac6bbdc5a27b5cd17
(0039917)
dbv (developer)
2015-04-16 19:02

Added need MeshVS_DA_ClosedGroup flag to MeshVS_DrawerAttribute enum for drawing MeshVS_Mesh as closed object.

Dear Kirill,

please review patch in occt branch CR26028 (http://git.dev.opencascade.org/gitweb/?p=occt.git;a=commitdiff;h=eb8bda2755c5d54b798c97bac6bbdc5a27b5cd17 [^])
(0039932)
kgv (developer)
2015-04-17 08:35
edited on: 2015-04-17 08:36

+  Standard_Boolean anIsClosed = Standard_False;

isClosed

+    aGroup->SetClosed (anIsClosed);
...
         aDrawer->GetBoolean  ( MeshVS_DA_SupressBackFaces, isSupressBackFaces 
...
         aCullFillAsp->SuppressBackFace(););

I have doubts that we need new flag at all - there is MeshVS_DA_SupressBackFaces intended for similar purpose (usually closed flag and back-face culling are synchronized).

However MeshVS_DA_SupressBackFaces is currently applied only for volumetric mesh, not polygonal - and this is incorrect. Thus this logic should be revised.

(0039966)
git (administrator)
2015-04-17 15:42

Branch CR26028 has been updated forcibly by dbv.

SHA-1: 85e59a9db49339748c6ed9e44e36fd6c424123a7
(0039967)
dbv (developer)
2015-04-17 15:43

MeshVS_MeshPrsBuilder::DrawArrays now sets IsClosed flag to group according to MeshVS_DA_SupressBackFaces attribute in MeshVS_Drawer

Dear Kirill,
please review patch in occt branch CR26028 (http://git.dev.opencascade.org/gitweb/?p=occt.git;a=commitdiff;h=85e59a9db49339748c6ed9e44e36fd6c424123a7 [^])
(0040009)
apl (developer)
2015-04-17 19:36

Dear bugmaster,

The branch CR26028 is reviewed. Please test.
(0040073)
git (administrator)
2015-04-21 13:46

Branch CR26028 has been updated forcibly by mkv.

SHA-1: 8703b1f2db013b88c20b65f6ab1d0cb783a9b932
(0040110)
mkv (tester)
2015-04-22 16:46

Dear BugMaster,
Branch CR26028 was rebased on current master of occt git-repository.
(0040111)
mkv (tester)
2015-04-22 16:46

Dear BugMaster,
Branch CR26028 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 8703b1f2db013b88c20b65f6ab1d0cb783a9b932

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 4 (4 on master)
Windows: 0 (0 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR26028-master-occt-64/Debian60-64/bugs/vis/bug26028.html [^]
http://occt-tests/CR26028-master-occt-64/Windows-64-VC10/bugs/vis/bug26028.html [^]
bugs vis(004) bug26028: OK

Testing on Linux:
occt component :
Total MEMORY difference: 95131349 / 94557310 [+0.61%]
Total CPU difference: 53231.65999999958 / 52229.89999999946 [+1.92%]
products component :
Total MEMORY difference: 23713219 / 23666017 [+0.20%]
Total CPU difference: 17502.13999999997 / 17773.759999999977 [-1.53%]

Testing on Windows:
occt component :
Total MEMORY difference: 57152031 / 57163988 [-0.02%]
Total CPU difference: 15992.489315298992 / 16283.181578699077 [-1.79%]
products component :
Total MEMORY difference: 15560492 / 15564896 [-0.03%]
Total CPU difference: 6425.384788099971 / 6585.207812599981 [-2.43%]

There are no differences in images found by testdiff.
(0041069)
git (administrator)
2015-05-14 16:34

Branch CR26028 has been deleted by inv.

SHA-1: 8703b1f2db013b88c20b65f6ab1d0cb783a9b932

- Related Changesets
occt: master c3715b74
Timestamp: 2015-04-16 15:59:44
Author: dbv
Committer: bugmaster
Details ] Diff ]
0026028: Option for drawing MeshVS_Mesh as closed object

MeshVS_MeshPrsBuilder::DrawArrays now sets IsClosed flag to group according to MeshVS_DA_SupressBackFaces attribute in MeshVS_Drawer
mod - src/MeshVS/MeshVS_MeshPrsBuilder.cxx Diff ] File ]
mod - src/XSDRAWSTLVRML/XSDRAWSTLVRML.cxx Diff ] File ]
add - tests/bugs/vis/bug26028 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-04-07 16:17 dbv New Issue
2015-04-07 16:17 dbv Assigned To => kgv
2015-04-07 16:19 dbv Assigned To kgv => dbv
2015-04-07 16:19 dbv Status new => assigned
2015-04-07 16:20 git Note Added: 0039315
2015-04-07 16:23 git Note Added: 0039316
2015-04-07 16:24 dbv Note Added: 0039318
2015-04-07 16:24 dbv Assigned To dbv => kgv
2015-04-07 16:24 dbv Status assigned => resolved
2015-04-07 16:24 dbv Steps to Reproduce Updated View Revisions
2015-04-07 16:47 abv Description Updated View Revisions
2015-04-07 17:18 dbv Assigned To kgv => dbv
2015-04-07 17:18 dbv Status resolved => assigned
2015-04-16 19:00 git Note Added: 0039916
2015-04-16 19:02 dbv Note Added: 0039917
2015-04-16 19:02 dbv Assigned To dbv => kgv
2015-04-16 19:02 dbv Status assigned => resolved
2015-04-16 19:06 abv Target Version => 6.9.0
2015-04-16 19:46 kgv Assigned To kgv => san
2015-04-17 08:35 kgv Note Added: 0039932
2015-04-17 08:35 kgv Assigned To san => dbv
2015-04-17 08:35 kgv Status resolved => assigned
2015-04-17 08:36 kgv Note Edited: 0039932 View Revisions
2015-04-17 15:42 git Note Added: 0039966
2015-04-17 15:43 dbv Note Added: 0039967
2015-04-17 15:43 dbv Assigned To dbv => kgv
2015-04-17 15:43 dbv Status assigned => resolved
2015-04-17 16:04 kgv Assigned To kgv => apl
2015-04-17 19:36 apl Note Added: 0040009
2015-04-17 19:36 apl Assigned To apl => bugmaster
2015-04-17 19:36 apl Status resolved => reviewed
2015-04-21 13:32 mkv Assigned To bugmaster => mkv
2015-04-21 13:46 git Note Added: 0040073
2015-04-22 16:46 mkv Note Added: 0040110
2015-04-22 16:46 mkv Note Added: 0040111
2015-04-22 16:46 mkv Assigned To mkv => bugmaster
2015-04-22 16:46 mkv Status reviewed => tested
2015-04-22 16:47 mkv Test case number => bugs vis(004) bug26028
2015-04-25 17:37 bugmaster Changeset attached => occt master c3715b74
2015-04-25 17:37 bugmaster Status tested => verified
2015-04-25 17:37 bugmaster Resolution open => fixed
2015-05-14 15:28 aiv Status verified => closed
2015-05-14 15:30 aiv Fixed in Version => 6.9.0
2015-05-14 16:34 git Note Added: 0041069
2016-07-30 17:08 kgv Relationship added related to 0027583


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker